Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QRegion.RegionType

    java.lang.Object
      java.lang.Enum<QRegion.RegionType>
          com.trolltech.qt.gui.QRegion.RegionType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QRegion.RegionType>

Enclosing class:
  QRegion

    public static enum QRegion.RegionType

extends java.lang.Enum<QRegion.RegionType>
implements QtEnumerator

Specifies the shape of the region to be created.

Enum Constant Summary
`Ellipse` the region is an ellipse inside the rectangle.
`Rectangle` the region covers the entire rectangle.

Method Summary
`static QRegion.RegionType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QRegion.RegionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QRegion.RegionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Rectangle

    public static final QRegion.RegionType Rectangle

  the region covers the entire rectangle.

### Ellipse

    public static final QRegion.RegionType Ellipse

  the region is an ellipse inside the rectangle.

Method Detail

### values

    public static final QRegion.RegionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QRegion.RegionType c : QRegion.RegionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QRegion.RegionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QRegion.RegionType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD